
Redmine - Defect #13811

Broken javascript in IE7 ; recurrence of #12195

2013-04-18 18:31 - Adrian Wilkins

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 2.3.1   

Resolution: Fixed Affected version: 2.3.0

Description

This is a recurrence of #12195 caused by a stray comma in application.js (as detailed below).

In 'public/javascripts/application.js'

function observeAutocompleteField(fieldId, url, options) {

  $(document).ready(function() {

    $('#'+fieldId).autocomplete($.extend({

      source: url,

      minLength: 2,

      search: function(){$('#'+fieldId).addClass('ajax-loading');},

      response: function(){$('#'+fieldId).removeClass('ajax-loading');},

    }, options));                                                      ^ extra comma that IE 7 

hates

    $('#'+fieldId).addClass('autocomplete');

  });

}

 This breaks the subsequent loading of all other functions in application.js, which halts most Javascript execution because adding

warnLeavingUnsavedMessage to the window.load event is the first thing every page does.

This class of problem is picked up by JSHint, which is available as a standard syntax check in my favoured web editor, Komodo Edit ;

have taken liberty of patching away all it's complaints about

Semicolons

Commas

Comparison operators

.. attached to issue.

Have not done anything about other warnings ; the one that concerned me most was the warning about a fall-through in a case

statement, but without a comment to the contrary and no familiarity with the code, cannot be sure this is not intentional.

Related issues:

Related to Redmine - Feature #10286: Auto-populate fields while creating a ne... Closed

Associated revisions

Revision 11728 - 2013-04-20 09:39 - Toshi MARUYAMA

fix JavaScript error on IE7 (#13811)

Contributed by Adrian Wilkins.

Revision 11729 - 2013-04-20 10:07 - Toshi MARUYAMA

use ===/!== instead of ==/!= in application.js (#13811)

Contributed by Adrian Wilkins.

Revision 11730 - 2013-04-20 10:07 - Toshi MARUYAMA

add missing ; at toggleCheckboxesBySelector of application.js (#13811)
Contributed by Adrian Wilkins.

Revision 11731 - 2013-04-20 10:08 - Toshi MARUYAMA

remove unneeded ; from warnLeavingUnsaved of application.js (#13811)

Contributed by Adrian Wilkins.

Revision 11732 - 2013-04-20 10:08 - Toshi MARUYAMA

fix ; position of if(){} at application.js (#13811)

Contributed by Adrian Wilkins.

Revision 11733 - 2013-04-20 10:08 - Toshi MARUYAMA

add missing ; in {} at application.js (#13811)

Contributed by Adrian Wilkins.

Revision 11734 - 2013-04-20 13:26 - Toshi MARUYAMA

Merged r11728, r11729, r11730, r11731, r11732 and r11733 from trunk to 2.3-stable (#13811)

History

#1 - 2013-04-20 09:16 - Toshi MARUYAMA

- Target version set to 2.3.1

#2 - 2013-04-20 18:01 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Fixed

Committed in trunk and 2.3-stable, thanks.

Files

application.js 16.3 KB 2013-04-18 Adrian Wilkins
